Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

SAP Keys APIs

Viewing Synchronization Status

search

Viewing Synchronization Status

Use the get /v1/cckm/sap/synchronization-jobs API to view the list of updated synchronization status. The results can be filtered using the query parameters.

Syntax

curl -k '<IP>/api/v1/cckm/sap/synchronization-jobs' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authentication token.

Request Query Parameters

Parameter Type Description
id string Internal id of the synchronization.
overall_status string Overall status of the synchronization. Possible values are in_progress, completed, and failed.
groups array of strings Name or ID of the group where the key is created.
skip integer Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limit integer Numbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/sap/synchronization-jobs?skip=0&limit=10' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI3ZjRlNmJkNi0wMzgzLTQ4MGMtYWZmZS0wYTQxNDgzZmVlNmUiLCJzdWIiOiJsb2NhbHxlNjM3NTVjOS01YzRhLTQ0NzUtOWI0Zi0wN2JjNzQxYjQ1MGEiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiOWMxMjQyOTQtMmM1Mi00ZmJmLWExNWEtMGZlNzkxZmI4YzNlIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImNjNWVhZjIzLTU1MmUtNDUwZS05ZWU4LTE2NTFhZWE2ODY1MSIsImlhdCI6MTYzNDU1Nzk2NSwiZXhwIjoxNjM0NTU4MjY1fQ.ValuGuWknqQug3nBWi0ycg_FxRKw1zJcGQZovqvypIc' --compressed

Example Response

{
    "skip":0,
    "limit":10,
    "total":1,
    "resources":[
        {
            "id":"bf27cde1-e2ed-4244-9d5a-8a4e12ad1837",
            "uri":"kylo:kylo:cckm:synchronize:bf27cde1-e2ed-4244-9d5a-8a4e12ad1837",
            "account":"kylo:kylo:admin:accounts:kylo",
            "application":"ncryptify:gemalto:admin:apps:kylo",
            "devAccount":"ncryptify:gemalto:admin:accounts:gemalto",
            "createdAt":"2020-08-06T09:49:34.605578Z",
            "updatedAt":"2020-08-06T09:49:49.658814Z",
            "overall_status":"in progress",
            "detailed_status":{
                "742f9921-2d91-41fc-97fc-e98ad007f081":"in progress"
            },
            "cloud":"sap",
            "groups":[
                "3e732d57-5ea1-491f-b238-9f4a39a9566f",
                "c4e5bd34-af39-4027-9058-6f1a4bb3519d"
            ],
            "abort":false
        }
    ]
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.